define("local_commander/commander",["exports","core/notification","core/log","local_commander/ufuzzy"],(function(_exports,_notification,_log,_ufuzzy){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_notification=_interopRequireDefault(_notification),_log=_interopRequireDefault(_log);const KEYS_ESCAPE="Escape",KEYS_ENTER="Enter",KEYS_ARROW_UP="ArrowUp",KEYS_ARROW_DOWN="ArrowDown",commanderAppOptions={courseid:"",keys:[]};const commanderApp={mainModal:null,mainModalBackLayer:null,mainModalCommand:null,liSet:null,isShow:!1,json:null,ufuzzy:null,textItems:[],render(){_log.default.debug("Rendering UI");const modalHtml='\n            <div id="local_commander_modal" role="dialog" aria-modal="true"\n             aria-labelledby="local_commander_header">\n                <div class="local_commander-header">\n                    <h2 id="local_commander_header">'.concat(M.util.get_string("js:header","local_commander"),'</h2>\n                </div>\n                <div class="local_commander-body">\n                    <div><ul></ul></div>\n                </div>\n                <input type="text" name="local_commander_command" id="local_commander_command"\n                 placeholder="').concat(M.util.get_string("js:command_placeholder","local_commander"),'"\n                  aria-label="').concat(M.util.get_string("js:command_placeholder","local_commander"),'">\n            </div>\n            <div id="local_commander_back_layer"></div>\n        ');document.body.insertAdjacentHTML("beforeend",modalHtml),this.mainModal=document.getElementById("local_commander_modal"),this.mainModalBackLayer=document.getElementById("local_commander_back_layer"),this.mainModalCommand=document.getElementById("local_commander_command"),this.addEventListeners(),this.json||this.loadMenu()},start(){window.addEventListener("keydown",(e=>{if(_log.default.debug("Key pressed: ".concat(e.keyCode)),_log.default.debug("Trigger keys: ".concat(commanderAppOptions.keys)),_log.default.debug("Commander is visible: ".concat(this.isShow)),this.isShow)switch(e.key){case KEYS_ESCAPE:this.hide();break;case KEYS_ENTER:e.preventDefault(),this.goToCommand();break;case KEYS_ARROW_UP:e.preventDefault(),this.navigateMenu("up");break;case KEYS_ARROW_DOWN:e.preventDefault(),this.navigateMenu("down")}else if(parseInt(commanderAppOptions.keys)===e.keyCode){_log.default.debug("Commander keyboard key triggered");const target=e.target,tagName=target.tagName.toUpperCase();if(["INPUT","SELECT","TEXTAREA"].includes(tagName)||target.isContentEditable)return void _log.default.debug("Ignoring keypress in editable element");e.preventDefault(),this.mainModal||this.render(),_log.default.debug("Opening commander"),this.isShow?this.hide():this.show()}}))},addEventListeners(){this.mainModalBackLayer.addEventListener("click",(()=>{this.hide()}));const debouncedSearch=this.debounce((()=>{this.search(this.mainModalCommand.value)}),200);this.mainModalCommand.addEventListener("input",debouncedSearch)},debounce(func,wait){let timeout;return function(){for(var _len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];clearTimeout(timeout),timeout=setTimeout((()=>func.apply(this,args)),wait)}},navigateMenu(direction){_log.default.debug("Navigating ".concat(direction));const activeItem=this.mainModal.querySelector("ul li.active");let newItem=null;if(activeItem)for(activeItem.classList.remove("active"),newItem="up"===direction?activeItem.previousElementSibling:activeItem.nextElementSibling;newItem&&"none"===newItem.style.display;)newItem="up"===direction?newItem.previousElementSibling:newItem.nextElementSibling;newItem?newItem.classList.add("active"):activeItem&&activeItem.classList.add("active"),this.scrollToActiveItem()},scrollToActiveItem(){const container=this.mainModal.querySelector(".local_commander-body div"),activeItem=this.mainModal.querySelector("li.active");activeItem&&container&&(container.scrollTop=activeItem.offsetTop-container.offsetTop-10)},goToCommand(){_log.default.debug("Executing command");const activeLink=this.mainModal.querySelector("ul li.active a");if(activeLink){const link=activeLink.getAttribute("href");"#"!==link&&(window.location.href=link)}},async loadMenu(){try{const response=await fetch("".concat(M.cfg.wwwroot,"/local/commander/ajax.php?courseid=").concat(commanderAppOptions.courseid),{method:"GET",credentials:"same-origin"});if(!response.ok)throw new Error("Network response was not ok");this.json=await response.json(),_log.default.debug(this.json),this.setMenu()}catch(error){_log.default.error(error),_notification.default.alert(M.util.get_string("js:error_parsing","local_commander"))}},search(query){const searchTerm=query.trim();if(this.liSet.forEach((li=>{li.style.display="none",li.classList.remove("active")})),""===searchTerm)return;let firstMatch=null;const u=this.ufuzzy,idxs=u.filter(this.textItems,query),info=u.info(idxs,this.textItems,query);u.sort(info,this.textItems,query).forEach(((order,index)=>{const idx=idxs[index],li=this.liSet[idx];if(li){li.style.display="",null===firstMatch&&(firstMatch=li);try{li.querySelector("a").innerHTML=_ufuzzy.uFuzzy.highlight(li.innerText,info.ranges[index])}catch(e){_log.default.error("Error highlighting text:",e)}}})),firstMatch&&(firstMatch.classList.add("active"),this.scrollToActiveItem())},setMenu(){_log.default.debug("Setting up menu");let html="";commanderAppOptions.courseid>0&&this.json.courseadmin&&(_log.default.debug("Including course administration menu"),html+=this.renderMenuItems(this.json.courseadmin,"")),this.json.admin&&(html+=this.renderMenuItems(this.json.admin,"")),this.ufuzzy=new _ufuzzy.uFuzzy;this.mainModal.querySelector(".local_commander-body ul").innerHTML=html,this.liSet=this.mainModal.querySelectorAll(".local_commander-body ul li"),this.liSet.forEach((li=>{this.textItems.push(li.innerText)}))},renderMenuItems(item,parentName){if(!item.name)return"";let html="";const fullName=parentName?"".concat(parentName," → ").concat(item.name):item.name;return html+='<li><a href="'.concat(item.link,'">').concat(fullName,"</a></li>"),item.haschildren&&item.children&&item.children.forEach((child=>{html+=this.renderMenuItems(child,fullName)})),html},show(){this.mainModal.style.display="block",this.mainModalBackLayer.style.display="block",this.isShow=!0,this.mainModalCommand.focus()},hide(){this.mainModal.style.display="none",this.mainModalBackLayer.style.display="none",this.isShow=!1,this.mainModalCommand.value="",this.search("")}};var _default={init:function(params){var options;options=params,Object.keys(commanderAppOptions).forEach((key=>{options.hasOwnProperty(key)&&(commanderAppOptions[key]=options[key])})),_log.default.debug("Local commander v4.5.0 initialized"),_log.default.debug(commanderAppOptions),commanderApp.start()}};return _exports.default=_default,_exports.default}));

//# sourceMappingURL=commander.min.js.map